package com.ruoyi.platform.domain;

import java.util.Date;
import java.io.Serializable;

/**
 * 数据集暂存的数据(DatasetTempStorage)实体类
 *
 * @author makejava
 * @since 2024-09-12 09:42:09
 */
public class DatasetTempStorage implements Serializable {
    private static final long serialVersionUID = -44025176874790480L;

    private Integer id;

    private String name;

    private String version;

    private String source;
    /**
     * 为0失效，1生效
     */
    private Integer state;

    private String createBy;

    private Date createTime;

    private String updateBy;

    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

